// $URL: http://subversion:8080/svn/gsc/trunk/drivers/gsc_common/driver/intime/os_pci.c $
// $Rev: 22965 $
// $Date: 2013-08-26 15:03:51 -0500 (Mon, 26 Aug 2013) $

// INtime 4 driver

#include "main.h"



//*****************************************************************************
int os_pci_dev_enable(os_pci_t* pci)
{
	int		ret;
	BYTE	sts;

	if (pci == NULL)
	{
		ret	= -EFAULT;
	}
	else
	{
		sts	= PciEnableDevice(&pci->pcidev);
		ret	= (sts == FALSE) ? -EIO : 0;
	}

	return(ret);
}



//*****************************************************************************
int os_pci_dev_disable(os_pci_t* pci)
{
	int		ret;
	BYTE	sts;

	if (pci == NULL)
	{
		ret	= -EFAULT;
	}
	else
	{
		sts	= PciDisableDevice(&pci->pcidev);
		ret	= (sts == FALSE) ? -EIO : 0;
		ret	= 0;
	}

	return(ret);
}



//*****************************************************************************
void os_pci_clear_master(os_pci_t* pci)
{
	// INtime has no such service.
}



//*****************************************************************************
void os_pci_set_master(os_pci_t* pci)
{
	if (pci)
		PciSetMaster(&pci->pcidev);
}


