// $URL: http://subversion:8080/svn/gsc/trunk/drivers/gsc_common/driver/gsc_close.c $
// $Rev: 21125 $
// $Date: 2013-04-19 13:01:39 -0500 (Fri, 19 Apr 2013) $

#include "main.h"



//*****************************************************************************
int gsc_close(GSC_ALT_STRUCT_T* alt)
{
	int	ret	= 0;

	for (;;)	// A convenience loop.
	{
		ret	= os_sem_lock(&alt->sem);
		alt->in_use	= 0;

		if (ret)
		{
			// We didn't get the lock.
			break;
		}

		// Perform device specific CLOSE actions.
		ret	= dev_close(alt);

		// Complete
		os_sem_unlock(&alt->sem);
		break;
	}

	return(ret);
}


