#include <errno.h>
#include <stdio.h>

#include "sio4_sync_dsl.h"

int sio4_sync_dce_set(int fd, int enable)
{
	const char*	str	= "sio4_sync_get";
	int			sts;
	sio4_sync_t	sync;

	sts	= sio4_sync_get(fd, &sync);

	if (sts == 0)
	{
		sync.dce_enable	= enable;
		sts				= sio4_sync_set(fd, &sync);
		str				= "sio4_sync_set";
	}

	if (sts == -1)
		printf("%s() failure, errno = %d\n", str, errno);

	return(sts);
}
