// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/utils/util_close.c $
// $Rev: 23640 $
// $Date: 2013-10-22 11:30:03 -0500 (Tue, 22 Oct 2013) $

#include "sio4_utils.h"



/*****************************************************************************
*
*	Function:	sio4_dev_close
*
*	Purpose:
*
*		Implement a close service.
*
*	Arguments:
*
*		fd		The file descriptor to use.
*
*		index	The index of the board to access. Ignore if < 0.
*
*		verbose	0: errors only, !0: all output
*
*	Returned:
*
*		>= 0	The number of errors encounterred.
*
*****************************************************************************/

int sio4_dev_close(int fd, int index, int verbose)
{
	int	errs;
	int	sts;

	if (verbose)
		gsc_label_index("Closing SIO4", index);

	sts		= sio4_close(fd);
	errs	= (sts < 0) ? 1 : 0;

	if (verbose == 0)
		;
	else if (sts >= 0)
		printf("PASS\n");
	else
		printf("FAIL <---  (ERROR: close failure, errno %d)\n", errno);

	return(errs);
}


